<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFFont (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFFont (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFFont.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFExtendedColor.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFFont.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFFont.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFFont" class="title">Class HSSFFont</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.usermodel.HSSFFont</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                           title="interface in org.apache.poi.ss.usermodel">Font</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HSSFFont</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/Font.html"
              title="interface in org.apache.poi.ss.usermodel">Font</a></pre>
                <div class="block">Represents a Font used in a workbook.</div>
                <dl>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html#createFont--"><code>HSSFWorkbook.createFont()</code></a>,
                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html#getFontAt-int-"><code>HSSFWorkbook.getFontAt(int)</code></a>,
                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html#setFont-org.apache.poi.hssf.usermodel.HSSFFont-"><code>HSSFCellStyle.setFont(HSSFFont)</code></a>
                    </dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#FONT_ARIAL">FONT_ARIAL</a></span></code>
                                    <div class="block">Arial font</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.ss.usermodel.Font">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                        title="interface in org.apache.poi.ss.usermodel">Font</a></h3>
                                <code><a href="../../../../../org/apache/poi/ss/usermodel/Font.html#ANSI_CHARSET">ANSI_CHARSET</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#COLOR_NORMAL">COLOR_NORMAL</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#COLOR_RED">COLOR_RED</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#DEFAULT_CHARSET">DEFAULT_CHARSET</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#SS_NONE">SS_NONE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#SS_SUB">SS_SUB</a>, <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#SS_SUPER">SS_SUPER</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#SYMBOL_CHARSET">SYMBOL_CHARSET</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#U_DOUBLE">U_DOUBLE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#U_DOUBLE_ACCOUNTING">U_DOUBLE_ACCOUNTING</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#U_NONE">U_NONE</a>, <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#U_SINGLE">U_SINGLE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#U_SINGLE_ACCOUNTING">U_SINGLE_ACCOUNTING</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#HSSFFont-int-org.apache.poi.hssf.record.FontRecord-">HSSFFont</a></span>(int&nbsp;index,
                                    <a href="../../../../../org/apache/poi/hssf/record/FontRecord.html"
                                       title="class in org.apache.poi.hssf.record">FontRecord</a>&nbsp;rec)</code>
                                    <div class="block">Creates a new instance of HSSFFont</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;obj)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#getBold--">getBold</a></span>()</code>
                                    <div class="block">get if the font is bold or not</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#getCharSet--">getCharSet</a></span>()</code>
                                    <div class="block">get character-set to use.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#getColor--">getColor</a></span>()</code>
                                    <div class="block">get the color for the font</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#getFontHeight--">getFontHeight</a></span>()</code>
                                    <div class="block">get the font height in unit's of 1/20th of a point.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#getFontHeightInPoints--">getFontHeightInPoints</a></span>()</code>
                                    <div class="block">get the font height</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#getFontName--">getFontName</a></span>()</code>
                                    <div class="block">get the name for the font (i.e.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                        title="class in org.apache.poi.hssf.util">HSSFColor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#getHSSFColor-org.apache.poi.hssf.usermodel.HSSFWorkbook-">getHSSFColor</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;wb)</code>
                                    <div class="block">get the color value for the font</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#getIndex--">getIndex</a></span>()</code>
                                    <div class="block">get the index within the HSSFWorkbook (sequence within the
                                        collection of Font objects)
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#getIndexAsInt--">getIndexAsInt</a></span>()</code>
                                    <div class="block">get the index within the HSSFWorkbook (sequence within the
                                        collection of Font objects)
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#getItalic--">getItalic</a></span>()</code>
                                    <div class="block">get whether to use italics or not</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#getStrikeout--">getStrikeout</a></span>()</code>
                                    <div class="block">get whether to use a strikeout horizontal line through the text
                                        or not
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#getTypeOffset--">getTypeOffset</a></span>()</code>
                                    <div class="block">get normal,super or subscript.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#getUnderline--">getUnderline</a></span>()</code>
                                    <div class="block">get type of text underlining to use</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#setBold-boolean-">setBold</a></span>(boolean&nbsp;bold)</code>
                                    <div class="block">sets the font to be bold or not</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#setCharSet-byte-">setCharSet</a></span>(byte&nbsp;charset)</code>
                                    <div class="block">set character-set to use.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#setCharSet-int-">setCharSet</a></span>(int&nbsp;charset)</code>
                                    <div class="block">set character-set to use.</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#setColor-short-">setColor</a></span>(short&nbsp;color)</code>
                                    <div class="block">set the color for the font</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#setFontHeight-short-">setFontHeight</a></span>(short&nbsp;height)</code>
                                    <div class="block">set the font height in unit's of 1/20th of a point.</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#setFontHeightInPoints-short-">setFontHeightInPoints</a></span>(short&nbsp;height)</code>
                                    <div class="block">set the font height</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#setFontName-java.lang.String-">setFontName</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">set the name for the font (i.e.</div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#setItalic-boolean-">setItalic</a></span>(boolean&nbsp;italic)</code>
                                    <div class="block">set whether to use italics or not</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#setStrikeout-boolean-">setStrikeout</a></span>(boolean&nbsp;strikeout)</code>
                                    <div class="block">set whether to use a strikeout horizontal line through the text
                                        or not
                                    </div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#setTypeOffset-short-">setTypeOffset</a></span>(short&nbsp;offset)</code>
                                    <div class="block">set normal,super or subscript.</div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#setUnderline-byte-">setUnderline</a></span>(byte&nbsp;underline)</code>
                                    <div class="block">set type of text underlining to use</div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="FONT_ARIAL">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>FONT_ARIAL</h4>
                                <pre>public static final&nbsp;java.lang.String FONT_ARIAL</pre>
                                <div class="block">Arial font</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFFont.FONT_ARIAL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSSFFont-int-org.apache.poi.hssf.record.FontRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSSFFont</h4>
                                <pre>protected&nbsp;HSSFFont(int&nbsp;index,
                   <a href="../../../../../org/apache/poi/hssf/record/FontRecord.html"
                      title="class in org.apache.poi.hssf.record">FontRecord</a>&nbsp;rec)</pre>
                                <div class="block">Creates a new instance of HSSFFont</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="setFontName-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontName</h4>
                                <pre>public&nbsp;void&nbsp;setFontName(java.lang.String&nbsp;name)</pre>
                                <div class="block">set the name for the font (i.e. Arial)</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#setFontName-java.lang.String-">setFontName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - String representing the name of the font to use</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#FONT_ARIAL"><code>FONT_ARIAL</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getFontName()</pre>
                                <div class="block">get the name for the font (i.e. Arial)</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#getFontName--">getFontName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>String representing the name of the font to use</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#FONT_ARIAL"><code>FONT_ARIAL</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIndex</h4>
                                <pre>public&nbsp;short&nbsp;getIndex()</pre>
                                <div class="block">get the index within the HSSFWorkbook (sequence within the collection
                                    of Font objects)
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/ss/usermodel/Font.html#getIndex--">getIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>unique index number of the underlying record this Font represents (probably you
                                        don't care
                                        unless you're comparing which one is which)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIndexAsInt--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIndexAsInt</h4>
                                <pre>public&nbsp;int&nbsp;getIndexAsInt()</pre>
                                <div class="block">get the index within the HSSFWorkbook (sequence within the collection
                                    of Font objects)
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#getIndexAsInt--">getIndexAsInt</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>unique index number of the underlying record this Font represents (probably you
                                        don't care
                                        unless you're comparing which one is which)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFontHeight-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontHeight</h4>
                                <pre>public&nbsp;void&nbsp;setFontHeight(short&nbsp;height)</pre>
                                <div class="block">set the font height in unit's of 1/20th of a point. Maybe you might
                                    want to
                                    use the setFontHeightInPoints which matches to the familiar 10, 12, 14 etc..
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#setFontHeight-short-">setFontHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>height</code> - height in 1/20ths of a point</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#setFontHeightInPoints-short-"><code>setFontHeightInPoints(short)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFontHeightInPoints-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontHeightInPoints</h4>
                                <pre>public&nbsp;void&nbsp;setFontHeightInPoints(short&nbsp;height)</pre>
                                <div class="block">set the font height</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#setFontHeightInPoints-short-">setFontHeightInPoints</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>height</code> - height in the familiar unit of measure - points</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#setFontHeight-short-"><code>setFontHeight(short)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontHeight</h4>
                                <pre>public&nbsp;short&nbsp;getFontHeight()</pre>
                                <div class="block">get the font height in unit's of 1/20th of a point. Maybe you might
                                    want to
                                    use the getFontHeightInPoints which matches to the familiar 10, 12, 14 etc..
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#getFontHeight--">getFontHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>short - height in 1/20ths of a point</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#getFontHeightInPoints--"><code>getFontHeightInPoints()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontHeightInPoints--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontHeightInPoints</h4>
                                <pre>public&nbsp;short&nbsp;getFontHeightInPoints()</pre>
                                <div class="block">get the font height</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#getFontHeightInPoints--">getFontHeightInPoints</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>short - height in the familiar unit of measure - points</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html#getFontHeight--"><code>getFontHeight()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setItalic-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setItalic</h4>
                                <pre>public&nbsp;void&nbsp;setItalic(boolean&nbsp;italic)</pre>
                                <div class="block">set whether to use italics or not</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#setItalic-boolean-">setItalic</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>italic</code> - italics or not</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getItalic--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getItalic</h4>
                                <pre>public&nbsp;boolean&nbsp;getItalic()</pre>
                                <div class="block">get whether to use italics or not</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#getItalic--">getItalic</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>italics or not</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setStrikeout-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setStrikeout</h4>
                                <pre>public&nbsp;void&nbsp;setStrikeout(boolean&nbsp;strikeout)</pre>
                                <div class="block">set whether to use a strikeout horizontal line through the text or
                                    not
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#setStrikeout-boolean-">setStrikeout</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>strikeout</code> - or not</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getStrikeout--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStrikeout</h4>
                                <pre>public&nbsp;boolean&nbsp;getStrikeout()</pre>
                                <div class="block">get whether to use a strikeout horizontal line through the text or
                                    not
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#getStrikeout--">getStrikeout</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>strikeout or not</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setColor-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setColor</h4>
                                <pre>public&nbsp;void&nbsp;setColor(short&nbsp;color)</pre>
                                <div class="block">set the color for the font</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#setColor-short-">setColor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - to use</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#COLOR_NORMAL"><code>Note:
                                            Use this rather than HSSFColor.AUTOMATIC for default font color</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#COLOR_RED"><code>Font.COLOR_RED</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColor</h4>
                                <pre>public&nbsp;short&nbsp;getColor()</pre>
                                <div class="block">get the color for the font</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/ss/usermodel/Font.html#getColor--">getColor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>color to use</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#COLOR_NORMAL"><code>Font.COLOR_NORMAL</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#COLOR_RED"><code>Font.COLOR_RED</code></a>,
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFPalette.html#getColor-short-"><code>HSSFPalette.getColor(short)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHSSFColor-org.apache.poi.hssf.usermodel.HSSFWorkbook-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHSSFColor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                                    title="class in org.apache.poi.hssf.util">HSSFColor</a>&nbsp;getHSSFColor(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;wb)</pre>
                                <div class="block">get the color value for the font</div>
                            </li>
                        </ul>
                        <a name="setBold-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBold</h4>
                                <pre>public&nbsp;void&nbsp;setBold(boolean&nbsp;bold)</pre>
                                <div class="block">sets the font to be bold or not</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#setBold-boolean-">setBold</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBold--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBold</h4>
                                <pre>public&nbsp;boolean&nbsp;getBold()</pre>
                                <div class="block">get if the font is bold or not</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/ss/usermodel/Font.html#getBold--">getBold</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTypeOffset-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTypeOffset</h4>
                                <pre>public&nbsp;void&nbsp;setTypeOffset(short&nbsp;offset)</pre>
                                <div class="block">set normal,super or subscript.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#setTypeOffset-short-">setTypeOffset</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>offset</code> - type to use (none,super,sub)</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Font.html#SS_NONE"><code>Font.SS_NONE</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#SS_SUPER"><code>Font.SS_SUPER</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#SS_SUB"><code>Font.SS_SUB</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTypeOffset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTypeOffset</h4>
                                <pre>public&nbsp;short&nbsp;getTypeOffset()</pre>
                                <div class="block">get normal,super or subscript.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#getTypeOffset--">getTypeOffset</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>offset type to use (none,super,sub)</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Font.html#SS_NONE"><code>Font.SS_NONE</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#SS_SUPER"><code>Font.SS_SUPER</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#SS_SUB"><code>Font.SS_SUB</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setUnderline-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setUnderline</h4>
                                <pre>public&nbsp;void&nbsp;setUnderline(byte&nbsp;underline)</pre>
                                <div class="block">set type of text underlining to use</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#setUnderline-byte-">setUnderline</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>underline</code> - type</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Font.html#U_NONE"><code>Font.U_NONE</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#U_SINGLE"><code>Font.U_SINGLE</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#U_DOUBLE"><code>Font.U_DOUBLE</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#U_SINGLE_ACCOUNTING"><code>Font.U_SINGLE_ACCOUNTING</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#U_DOUBLE_ACCOUNTING"><code>Font.U_DOUBLE_ACCOUNTING</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getUnderline--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUnderline</h4>
                                <pre>public&nbsp;byte&nbsp;getUnderline()</pre>
                                <div class="block">get type of text underlining to use</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#getUnderline--">getUnderline</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>underlining type</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Font.html#U_NONE"><code>Font.U_NONE</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#U_SINGLE"><code>Font.U_SINGLE</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#U_DOUBLE"><code>Font.U_DOUBLE</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#U_SINGLE_ACCOUNTING"><code>Font.U_SINGLE_ACCOUNTING</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#U_DOUBLE_ACCOUNTING"><code>Font.U_DOUBLE_ACCOUNTING</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCharSet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCharSet</h4>
                                <pre>public&nbsp;int&nbsp;getCharSet()</pre>
                                <div class="block">get character-set to use.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#getCharSet--">getCharSet</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>character-set</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#ANSI_CHARSET"><code>Font.ANSI_CHARSET</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#DEFAULT_CHARSET"><code>Font.DEFAULT_CHARSET</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#SYMBOL_CHARSET"><code>Font.SYMBOL_CHARSET</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCharSet-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCharSet</h4>
                                <pre>public&nbsp;void&nbsp;setCharSet(int&nbsp;charset)</pre>
                                <div class="block">set character-set to use.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#setCharSet-int-">setCharSet</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#ANSI_CHARSET"><code>Font.ANSI_CHARSET</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#DEFAULT_CHARSET"><code>Font.DEFAULT_CHARSET</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#SYMBOL_CHARSET"><code>Font.SYMBOL_CHARSET</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCharSet-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCharSet</h4>
                                <pre>public&nbsp;void&nbsp;setCharSet(byte&nbsp;charset)</pre>
                                <div class="block">set character-set to use.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Font.html#setCharSet-byte-">setCharSet</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                                title="interface in org.apache.poi.ss.usermodel">Font</a></code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#ANSI_CHARSET"><code>Font.ANSI_CHARSET</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#DEFAULT_CHARSET"><code>Font.DEFAULT_CHARSET</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Font.html#SYMBOL_CHARSET"><code>Font.SYMBOL_CHARSET</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;obj)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFFont.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFExtendedColor.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFFont.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFFont.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
